Bug 251351 - ls does not indicate alternate permissions scheme
ls does not indicate alternate permissions scheme
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: coreutils (Show other bugs)
3.9
All Linux
low Severity low
: ---
: ---
Assigned To: Pete Graner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-08 11:28 EDT by Aaron Whiteman
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 14:35:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aaron Whiteman 2007-08-08 11:28:13 EDT
Description of problem:

After upgrading to coreutils-4.5.3-28.7 under RedHat Linux AS 3, update 9, the "+" symbol that 
indicated an ACL was active on a particular file/directory no longer displayed.  The ACL was still active 
as indicated by getfacl.  Reverting to coreutils-4.5.3-28.4 restored correct behavior.

Version-Release number of selected component (if applicable): coreutils-4.5.3-28.4


How reproducible: on our systems, very reproducable


Steps to Reproduce:
1. configure RHEL3up9 with all errata installed
2. enable acl support on a filesystem
 # mount -o remount,acl /
3. create a file and assign an ACL
 # cd /tmp
 # touch foo
 # ls -l foo
-rw-r--r--    1 root     root            0 Aug  8 08:22 foo
 # setfacl -m 'u:nobody:rwx' foo
 # ls -l foo 
 
Actual results:
-rw-rwxr--    1 root     root            0 Aug  8 08:22 foo


Expected results:
-rw-rwxr--+   1 root     root            0 Aug  8 08:22 foo


Additional info:

I verified the ACL is working as follows:
# touch foo
# chmod 600 foo
# ls -l
-rw-------    1 root     root            0 Aug  8 08:24 foo
# echo "blah" > foo
# sudo -u nobody cat foo
cat: foo: Permission denied
zsh: exit 1     sudo -u nobody cat foo
# setfacl -m 'u:nobody:rwx' foo
# sudo -u nobody cat foo       
blah
Comment 1 RHEL Product and Program Management 2007-10-19 14:35:54 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.